<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>config.h</name>
    <path>/usr/src/packages/BUILD/limal-runlevel-1.6.1/src/limal/runlevel/</path>
    <filename>config_8h</filename>
    <includes id="config_8h" name="config.h" local="no" imported="no">limal/config.h</includes>
    <namespace>limal::runlevel</namespace>
    <member kind="define">
      <type>#define</type>
      <name>LIMAL_RUNLEVEL_LIB_VERSION</name>
      <anchorfile>config_8h.html</anchorfile>
      <anchor>a947f2d623da2b04c50073e2727993e62</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LIMAL_RUNLEVEL_API_VERSION</name>
      <anchorfile>config_8h.html</anchorfile>
      <anchor>a1fcc6917e0cef0ad4dca61629a3beea0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>limal_runlevel_lib_version</name>
      <anchorfile>config_8h.html</anchorfile>
      <anchor>a80cc29e8333187e0c1ed65ab0df09f66</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>limal_runlevel_api_version</name>
      <anchorfile>config_8h.html</anchorfile>
      <anchor>a7d44a3a69abd14c62507f8fc64f21786</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>LSBService.hpp</name>
    <path>/usr/src/packages/BUILD/limal-runlevel-1.6.1/src/limal/runlevel/</path>
    <filename>LSBService_8hpp</filename>
    <includes id="config_8h" name="config.h" local="no" imported="no">limal/runlevel/config.h</includes>
    <includes id="Service_8hpp" name="Service.hpp" local="no" imported="no">limal/runlevel/Service.hpp</includes>
    <includes id="Runlevel_8hpp" name="Runlevel.hpp" local="no" imported="no">limal/runlevel/Runlevel.hpp</includes>
    <includes id="LSBService_8hpp" name="LSBService.hpp" local="no" imported="no">blocxx/String.hpp</includes>
    <class kind="class">limal::runlevel::LSBService</class>
    <namespace>limal::runlevel</namespace>
    <member kind="typedef">
      <type>BLOCXX_NAMESPACE::Int32</type>
      <name>LSBExitCode</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>ae6df3a6e12d69ea4357e7e2c787897e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>BLOCXX_NAMESPACE::Map&lt; BLOCXX_NAMESPACE::String, BLOCXX_NAMESPACE::String &gt;</type>
      <name>LSBInitInfo</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a451cc97e0f570caafefc5efb55632173</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_RC_SUCCESS</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>afb3c55d2e646722cee32c6f12181b532</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_RC_FAILURE</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a822918088c37bea005226d95723ef258</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_RC_INVALID_ARGUMENT</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a72d5d3cfbf8223f8157981d8dc90633e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_RC_NOT_IMPLEMENTED</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a9ecbb0b78619179247acb2c7765017ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_RC_NOT_ALLOWED</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a826e3e023b7e709daf74c4df8315741c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_RC_NOT_INSTALLED</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a962a3cf92d62d2b5f3cb054894ebdbcf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_RC_NOT_CONFIGURED</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a01dc1a37d4e9c47eeb9ca3d8d7fb0dc2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_RC_NOT_RUNNING</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a4335e60b9dc49c63eb3fea9cc34cb58d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_ST_RUNNING</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a6622e18e6abf142f35148bde21a74261</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_ST_DEAD_PID_EXISTS</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>ac9e7a756610f809062db5389ea4f9696</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_ST_DEAD_LOCK_EXISTS</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a4efdc3ecdf281717b319df4e45134b7b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_ST_NOT_RUNNING</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>abcfe4bc7022f6730b04aaa101ace7642</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_ST_UNKNOWN</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>aef15bad4648ad3fa32fbfe39e39ba74a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Runlevel.hpp</name>
    <path>/usr/src/packages/BUILD/limal-runlevel-1.6.1/src/limal/runlevel/</path>
    <filename>Runlevel_8hpp</filename>
    <includes id="config_8h" name="config.h" local="no" imported="no">limal/runlevel/config.h</includes>
    <namespace>limal::runlevel</namespace>
    <member kind="typedef">
      <type>char</type>
      <name>Runlevel</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a176e3c01296e6456b4c9cf9c591b55f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>BLOCXX_NAMESPACE::Array&lt; Runlevel &gt;</type>
      <name>Runlevels</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a641aabdebcbd205e8ffa8396730cf8af</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>Runlevel</type>
      <name>getDefaultRunlevel</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>ad11ba4aba591db996a6bf319dac72ead</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Runlevel</type>
      <name>getCurrentRunlevel</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>ad3a23b9d4fe97fe5387e69e6a7704420</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Runlevels</type>
      <name>getEnabledRunlevels</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a780c2802677d8745ae537c3efb99e101</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunlevelEnabled</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>acd1527c76eb5052fe2e11458182436b6</anchor>
      <arglist>(Runlevel runlevel)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setDefaultRunlevel</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>ae4f7619e9e7011f9f8f2df3b8488fa1a</anchor>
      <arglist>(Runlevel runlevel)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>switchToRunlevel</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a2ddb01ce3461788a4c2b5fe4de07bd2c</anchor>
      <arglist>(Runlevel runlevel)</arglist>
    </member>
    <member kind="function">
      <type>BLOCXX_NAMESPACE::Array&lt; BLOCXX_NAMESPACE::String &gt;</type>
      <name>getRunlevelServiceNames</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>aa2189a33bfdaa4d338a556cd755b107b</anchor>
      <arglist>(Runlevel runlevel)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Service.hpp</name>
    <path>/usr/src/packages/BUILD/limal-runlevel-1.6.1/src/limal/runlevel/</path>
    <filename>Service_8hpp</filename>
    <includes id="config_8h" name="config.h" local="no" imported="no">limal/runlevel/config.h</includes>
    <class kind="class">limal::runlevel::Service</class>
    <namespace>limal::runlevel</namespace>
    <member kind="typedef">
      <type>BLOCXX_NAMESPACE::Array&lt; BLOCXX_NAMESPACE::String &gt;</type>
      <name>ServiceCmdArgs</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a6408e4f89804ebe14f81afd0dd6c7d2b</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>BLOCXX_NAMESPACE::Map&lt; BLOCXX_NAMESPACE::String, BLOCXX_NAMESPACE::String &gt;</type>
      <name>ServiceEnvVars</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>ae5dce79c7db9c633c4d4ee82bf33c60a</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>BLOCXX_NAMESPACE::String</type>
      <name>getServiceScriptDir</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a432c0ca1100aacfaf70216f791d8be37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>BLOCXX_NAMESPACE::Array&lt; BLOCXX_NAMESPACE::String &gt;</type>
      <name>getInstalledServiceNames</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a3f91867e26d55501212d3c12ad710627</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>limal::runlevel</name>
    <filename>namespacelimal_1_1runlevel.html</filename>
    <class kind="class">limal::runlevel::LSBService</class>
    <class kind="class">limal::runlevel::Service</class>
    <member kind="typedef">
      <type>BLOCXX_NAMESPACE::Int32</type>
      <name>LSBExitCode</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>ae6df3a6e12d69ea4357e7e2c787897e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>BLOCXX_NAMESPACE::Map&lt; BLOCXX_NAMESPACE::String, BLOCXX_NAMESPACE::String &gt;</type>
      <name>LSBInitInfo</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a451cc97e0f570caafefc5efb55632173</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>char</type>
      <name>Runlevel</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a176e3c01296e6456b4c9cf9c591b55f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>BLOCXX_NAMESPACE::Array&lt; Runlevel &gt;</type>
      <name>Runlevels</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a641aabdebcbd205e8ffa8396730cf8af</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>BLOCXX_NAMESPACE::Array&lt; BLOCXX_NAMESPACE::String &gt;</type>
      <name>ServiceCmdArgs</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a6408e4f89804ebe14f81afd0dd6c7d2b</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>BLOCXX_NAMESPACE::Map&lt; BLOCXX_NAMESPACE::String, BLOCXX_NAMESPACE::String &gt;</type>
      <name>ServiceEnvVars</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>ae5dce79c7db9c633c4d4ee82bf33c60a</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>Runlevel</type>
      <name>getDefaultRunlevel</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>ad11ba4aba591db996a6bf319dac72ead</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Runlevel</type>
      <name>getCurrentRunlevel</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>ad3a23b9d4fe97fe5387e69e6a7704420</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Runlevels</type>
      <name>getEnabledRunlevels</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a780c2802677d8745ae537c3efb99e101</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunlevelEnabled</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>acd1527c76eb5052fe2e11458182436b6</anchor>
      <arglist>(Runlevel runlevel)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setDefaultRunlevel</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>ae4f7619e9e7011f9f8f2df3b8488fa1a</anchor>
      <arglist>(Runlevel runlevel)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>switchToRunlevel</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a2ddb01ce3461788a4c2b5fe4de07bd2c</anchor>
      <arglist>(Runlevel runlevel)</arglist>
    </member>
    <member kind="function">
      <type>BLOCXX_NAMESPACE::Array&lt; BLOCXX_NAMESPACE::String &gt;</type>
      <name>getRunlevelServiceNames</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>aa2189a33bfdaa4d338a556cd755b107b</anchor>
      <arglist>(Runlevel runlevel)</arglist>
    </member>
    <member kind="function">
      <type>BLOCXX_NAMESPACE::String</type>
      <name>getServiceScriptDir</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a432c0ca1100aacfaf70216f791d8be37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>BLOCXX_NAMESPACE::Array&lt; BLOCXX_NAMESPACE::String &gt;</type>
      <name>getInstalledServiceNames</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a3f91867e26d55501212d3c12ad710627</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_RC_SUCCESS</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>afb3c55d2e646722cee32c6f12181b532</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_RC_FAILURE</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a822918088c37bea005226d95723ef258</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_RC_INVALID_ARGUMENT</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a72d5d3cfbf8223f8157981d8dc90633e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_RC_NOT_IMPLEMENTED</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a9ecbb0b78619179247acb2c7765017ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_RC_NOT_ALLOWED</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a826e3e023b7e709daf74c4df8315741c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_RC_NOT_INSTALLED</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a962a3cf92d62d2b5f3cb054894ebdbcf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_RC_NOT_CONFIGURED</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a01dc1a37d4e9c47eeb9ca3d8d7fb0dc2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_RC_NOT_RUNNING</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a4335e60b9dc49c63eb3fea9cc34cb58d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_ST_RUNNING</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a6622e18e6abf142f35148bde21a74261</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_ST_DEAD_PID_EXISTS</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>ac9e7a756610f809062db5389ea4f9696</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_ST_DEAD_LOCK_EXISTS</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>a4efdc3ecdf281717b319df4e45134b7b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_ST_NOT_RUNNING</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>abcfe4bc7022f6730b04aaa101ace7642</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const LSBExitCode</type>
      <name>LSB_ST_UNKNOWN</name>
      <anchorfile>namespacelimal_1_1runlevel.html</anchorfile>
      <anchor>aef15bad4648ad3fa32fbfe39e39ba74a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>limal::runlevel::LSBService</name>
    <filename>classlimal_1_1runlevel_1_1LSBService.html</filename>
    <base>limal::runlevel::Service</base>
    <member kind="function">
      <type></type>
      <name>LSBService</name>
      <anchorfile>classlimal_1_1runlevel_1_1LSBService.html</anchorfile>
      <anchor>a149469f80871312d7c8372d1c720d7cd</anchor>
      <arglist>(const BLOCXX_NAMESPACE::String &amp;name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~LSBService</name>
      <anchorfile>classlimal_1_1runlevel_1_1LSBService.html</anchorfile>
      <anchor>a71afea55a9a1398a5e8a114a6ec2eece</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isServiceEnabled</name>
      <anchorfile>classlimal_1_1runlevel_1_1LSBService.html</anchorfile>
      <anchor>a19e2e5ad70da7997ddcc063400b077b5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isServiceEnabledInRunlevel</name>
      <anchorfile>classlimal_1_1runlevel_1_1LSBService.html</anchorfile>
      <anchor>aff7113f930078c66edaec8ef0625abe1</anchor>
      <arglist>(Runlevel runlevel) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>enableService</name>
      <anchorfile>classlimal_1_1runlevel_1_1LSBService.html</anchorfile>
      <anchor>a9412881189455f805038405d4134b09d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disableService</name>
      <anchorfile>classlimal_1_1runlevel_1_1LSBService.html</anchorfile>
      <anchor>a35ddeadef9c7b89cda0cf19a629a4b78</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>LSBInitInfo</type>
      <name>getServiceInitInfo</name>
      <anchorfile>classlimal_1_1runlevel_1_1LSBService.html</anchorfile>
      <anchor>aa2f0b732366bdbfac4ee7236c0d2c4ba</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>BLOCXX_NAMESPACE::Array&lt; BLOCXX_NAMESPACE::String &gt;</type>
      <name>getServiceActions</name>
      <anchorfile>classlimal_1_1runlevel_1_1LSBService.html</anchorfile>
      <anchor>af92390c5475ba3de42554871ac3fa5e2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>BLOCXX_NAMESPACE::Array&lt; BLOCXX_NAMESPACE::String &gt;</type>
      <name>getDefaultActions</name>
      <anchorfile>classlimal_1_1runlevel_1_1LSBService.html</anchorfile>
      <anchor>aeaed948f1bfe502860fa44978fcae32b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>LSBExitCode</type>
      <name>executeAction</name>
      <anchorfile>classlimal_1_1runlevel_1_1LSBService.html</anchorfile>
      <anchor>a88eeee1cd1f3258a5b13d91f7f2a1b97</anchor>
      <arglist>(const BLOCXX_NAMESPACE::String &amp;action, const ServiceCmdArgs &amp;cmdArgs, BLOCXX_NAMESPACE::String &amp;stdOutput, BLOCXX_NAMESPACE::String &amp;errOutput, const ServiceEnvVars &amp;envVars, const BLOCXX_NAMESPACE::String &amp;stdInput, int timeoutSecs, int outputLimit)</arglist>
    </member>
    <member kind="function">
      <type>LSBExitCode</type>
      <name>executeAction</name>
      <anchorfile>classlimal_1_1runlevel_1_1LSBService.html</anchorfile>
      <anchor>abf0fc2806d51df61b4f63ffd28bda0a6</anchor>
      <arglist>(const BLOCXX_NAMESPACE::String &amp;action, const ServiceCmdArgs &amp;cmdArgs)</arglist>
    </member>
    <member kind="function">
      <type>LSBExitCode</type>
      <name>executeAction</name>
      <anchorfile>classlimal_1_1runlevel_1_1LSBService.html</anchorfile>
      <anchor>a7803208a5bcac86b55ea7550294b028c</anchor>
      <arglist>(const BLOCXX_NAMESPACE::String &amp;action)</arglist>
    </member>
    <member kind="function">
      <type>LSBExitCode</type>
      <name>executeAction</name>
      <anchorfile>classlimal_1_1runlevel_1_1LSBService.html</anchorfile>
      <anchor>a773d4c3c156b3d3e7b88d825efd2b670</anchor>
      <arglist>(const BLOCXX_NAMESPACE::String &amp;action, const ServiceCmdArgs &amp;cmdArgs, BLOCXX_NAMESPACE::String &amp;stdOutput, BLOCXX_NAMESPACE::String &amp;errOutput, int &amp;execStatus, const ServiceEnvVars &amp;envVars, const BLOCXX_NAMESPACE::String &amp;stdInput, int timeoutSecs, int outputLimit)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addServiceAction</name>
      <anchorfile>classlimal_1_1runlevel_1_1LSBService.html</anchorfile>
      <anchor>a393dc253180c71b50600b7feed9fc130</anchor>
      <arglist>(const BLOCXX_NAMESPACE::String &amp;action)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>BLOCXX_NAMESPACE::Array&lt; BLOCXX_NAMESPACE::String &gt;</type>
      <name>m_actions</name>
      <anchorfile>classlimal_1_1runlevel_1_1LSBService.html</anchorfile>
      <anchor>a0477e4d0a8bb9be414f07ba10f0605bc</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>limal::runlevel::Service</name>
    <filename>classlimal_1_1runlevel_1_1Service.html</filename>
    <member kind="function">
      <type></type>
      <name>Service</name>
      <anchorfile>classlimal_1_1runlevel_1_1Service.html</anchorfile>
      <anchor>a28aeb644529eb78a7c109db9d1d8da97</anchor>
      <arglist>(const BLOCXX_NAMESPACE::String &amp;name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Service</name>
      <anchorfile>classlimal_1_1runlevel_1_1Service.html</anchorfile>
      <anchor>aeb1d0a2d50bc600e9859cf37580b9b23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>BLOCXX_NAMESPACE::String</type>
      <name>getServiceName</name>
      <anchorfile>classlimal_1_1runlevel_1_1Service.html</anchorfile>
      <anchor>af108c6438017cee10cce5147927ba9ef</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>BLOCXX_NAMESPACE::String</type>
      <name>getScriptPath</name>
      <anchorfile>classlimal_1_1runlevel_1_1Service.html</anchorfile>
      <anchor>a4c567545d4e0eb678f4e04cb2c4d9eca</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>BLOCXX_NAMESPACE::String</type>
      <name>getScriptName</name>
      <anchorfile>classlimal_1_1runlevel_1_1Service.html</anchorfile>
      <anchor>aeca6fcc60947ae8181c4584667d0e045</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isServiceInstalled</name>
      <anchorfile>classlimal_1_1runlevel_1_1Service.html</anchorfile>
      <anchor>abb680d926e5772753341b8932d7fc8ba</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>executeScript</name>
      <anchorfile>classlimal_1_1runlevel_1_1Service.html</anchorfile>
      <anchor>a4f0d22ec6e91fcdd811a81467ad9d026</anchor>
      <arglist>(const ServiceCmdArgs &amp;cmdArgs, BLOCXX_NAMESPACE::String &amp;stdOutput, BLOCXX_NAMESPACE::String &amp;errOutput, const ServiceEnvVars &amp;envVars, const BLOCXX_NAMESPACE::String &amp;stdInput, int timeoutSecs, int outputLimit)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>executeScript</name>
      <anchorfile>classlimal_1_1runlevel_1_1Service.html</anchorfile>
      <anchor>a6b70bf0ab296df01382fa6ddd6163fb2</anchor>
      <arglist>(const ServiceCmdArgs &amp;cmdArgs)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>executeScript</name>
      <anchorfile>classlimal_1_1runlevel_1_1Service.html</anchorfile>
      <anchor>a08f25dce9e4877da29aacc6b24f0292c</anchor>
      <arglist>(const ServiceCmdArgs &amp;cmdArgs, BLOCXX_NAMESPACE::String &amp;stdOutput, BLOCXX_NAMESPACE::String &amp;errOutput, int &amp;execStatus, const ServiceEnvVars &amp;envVars, const BLOCXX_NAMESPACE::String &amp;stdInput, int timeoutSecs, int outputLimit)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setScriptName</name>
      <anchorfile>classlimal_1_1runlevel_1_1Service.html</anchorfile>
      <anchor>a4e3daf83be0c739b280ea4a507e53298</anchor>
      <arglist>(const BLOCXX_NAMESPACE::String &amp;name)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>Service</name>
      <anchorfile>classlimal_1_1runlevel_1_1Service.html</anchorfile>
      <anchor>a0fe3da2817ee4f8623090ed8930d3ec4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>BLOCXX_NAMESPACE::String</type>
      <name>m_path</name>
      <anchorfile>classlimal_1_1runlevel_1_1Service.html</anchorfile>
      <anchor>ab8af1c188eac7c0b0cdb64246fd4d223</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>BLOCXX_NAMESPACE::String</type>
      <name>m_name</name>
      <anchorfile>classlimal_1_1runlevel_1_1Service.html</anchorfile>
      <anchor>a75b746a7aea7ed81756432ebfe80f9c6</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
